package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessperceptioncommunication.ElderlyAssessPerceptionCommunicationPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessperceptioncommunication.ElderlyAssessPerceptionCommunicationRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessperceptioncommunication.ElderlyAssessPerceptionCommunicationSaveReqVO;

public interface ElderlyAssessPerceptionCommunicationService {

    Long create(ElderlyAssessPerceptionCommunicationSaveReqVO createReqVO);

    void update(ElderlyAssessPerceptionCommunicationSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAssessPerceptionCommunicationRespVO get(Long id);

    PageResult<ElderlyAssessPerceptionCommunicationRespVO> getPage(ElderlyAssessPerceptionCommunicationPageReqVO pageReqVO);
}
